@ECHO OFF 

::---------------Customize your network variables here---------------

:: Set the Drive Letter. Must end with a ":"
set ShareDrive=y:

:: Set the name of the server
set ServerName=InstalledComputerName

:: Set the name of share 
set AltirisShare=eXpress

:: Set the directory within share where the rips are stored 
:: Final path is \\<servername>\<share>\RIPs
set RIPDir=RIPs

:: Set the directory within share where the rips are stored 
:: Final path is \\<servername>\<share>\scripts
set scriptDir=scripts

:: Set the name of the RIP
set PackageName=wflash.exe 

:: Set any options for the RIP.  Change 999aaxxx.bin to actual file name.
set PackageOptions= /kall /silent /ldcmos /f:999aaxxx.bin

:: Set the name and password of an account (domain.or.workgroup.name\altirisagent in this example) with read/write/execute 
:: privileges to the deployment share
set UserName=domain.or.workgroup.name\altirisagent
set Password=""

::-------------------End of Customize Section----------------------------

::---------------Start of non-customizable variables section-------------
::------------------------ DO NOT MODIFY---------------------------------

set SLEEP=%windir%\system32\sleep.exe
set SHUTDOWN=%windir%\system32\shutdown.exe
SET EWF=%windir%\system32\ewfmgr.exe
set SUPPORT=%windir%\system32\getembinfo.exe
set REGSVR=%windir%\system32\regsvr32.exe
::---------------End of non-customizable variables section---------------

:: Map the Share to the deployment server
net use %ShareDrive% \\%ServerName%\%AltirisShare% /user:%UserName% %Password%

:: Create a temp directory on the deployment server based on computer name
IF NOT EXIST %ShareDrive%\%RIPDir%\%COMPUTERNAME% md %ShareDrive%\%RIPDir%\%COMPUTERNAME%

:: Redefine TEMP and TMP variables to point to a share on the deployment server
:: So the Rip will use that directory
set TEMP=%ShareDrive%\%RIPDir%\%COMPUTERNAME%
set TMP=%ShareDrive%\%RIPDir%\%COMPUTERNAME%

:: Change to the share
%ShareDrive%
cd %RIPdir%

:: Wait
%SLEEP% 10

:: Run the RIP with options
start /wait %PackageName% %PackageOptions%

CLS
:: Wait for NTFS Compression to Finish
ECHO Waiting for NTFS Compression to finish
%SLEEP% 20

:: Update Support Information
ECHO Updating Support Information
%SUPPORT%
%SLEEP% 5

:: Delete recycler folder if it gets created
attrib -s -h -r -a C:\recycler
del /f /q C:\recycler

:: Commit changes to flash
%EWF% C: -commit
%SLEEP% 10

:: Change back to local drive
C:
cd\

:: Created share is not deleted so log files can be viewed
:: Delete it here if log files are of no concern


:: Disconnect the network share
%SLEEP% 10
net use /d %ShareDrive%

:: Either shutdown /reboot here as part of this batch file or reboot
:: from within the deployment server using a reboot event.
:: If deploying from Altiris and using shutdown.exe, the script must be
:: run as admin user. 
:: %SHUTDOWN% -r -t 5

